// CV10a.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"
#include "seznam.h"

#define fn "pel_10.csv"
#define lgb 500

void cetnost(listDescr *list);
void cetnost2(listDescr *list);
double prumerzip(listDescr *list);

int poc_pol(char *s)
{
    char *token;
    int n=0;
    token = strtok( s, seps); 
	while(token!=NULL)
		{
		 n++;	
		 token=strtok(NULL, seps);
		}
	return n;	
}

int _tmain(int argc, _TCHAR* argv[])
{
	FILE *fr;
	char buf[lgb];
	int nr=0;
	listDescr list={NULL};
	
	fr=fopen(fn, "rt");
	if (fr==NULL)
		{
		 printf("Soubor %s se nepodarilo otevrit.\n", fn);
		 return 1;
		}
	fgets(buf, lgb, fr);	
	while(1)
		{
		 if (fgets(buf, lgb, fr)!=NULL)
		   {
		    nr++;
		    listAdd(&list, buf);
		   } 
		   
		 else
		   break;
		}
//	listShow(&list);
    cetnost(&list);
    puts("");
    cetnost2(&list);
    puts("");
    printf("Prumer ZIP je %0.3f.\n", prumerzip(&list));
        
	listClear(&list);	
		
	printf("Pocet radku je %d.\n", nr);
	
	return 0;
}

#define mxst 52

void cetnost(listDescr *list)
{
 int ct[mxst];
 char st[mxst][3];
 int i;
 int n=0;
 item *tmp;
 memset(ct, 0, sizeof(ct));
 memset(st, 0, sizeof(st));
 for (tmp=list->first;tmp;tmp=tmp->next)
 {
   for (i=0;i<n;i++)
	{
		if(strcmp(st[i], tmp->state)==0)
		{
		 ct[i]++;
		 break;
		}
	}
   if (i>=n) 
   {
     strcpy(st[n], tmp->state);
     ct[n]=1;
     n++;
   }	
 }
 for (i=0;i<n;i++)
	printf("%s %3d\n", st[i], ct[i]); 
} 

int index(char *s)
{
	return (s[1]-'A')+26*(s[0]-'A');
}

void cetnost2(listDescr *list)
{
 int ct[26*26];
 int i;
 item *tmp;
 memset(ct, 0, sizeof(ct));
 for (tmp=list->first;tmp;tmp=tmp->next)
 {
   ct[index(tmp->state)]++;
 }
 for (i=0;i<26*26;i++)
	if (ct[i])
	 printf("%c%c %3d\n", (i/26)+'A', (i%26)+'A', ct[i]); 
}

int str2int(char *s)
{
 int x=0;
 for (;*s;s++)
  {
   if (*s<'0') break;
   if (*s>'9') break;
   x=*s-'0'+10*x;
  }
 return x; 
} 

double prumerzip(listDescr *list)
{
 item *temp;
 int poc=0;
 int sum=0;
 for (temp=list->first;temp;temp=temp->next)
  {
   sum+=str2int(temp->zip);
   poc++;
  }
 if (poc)
  return (double)sum/(double)poc;
 else
  return 0;
}   
 