#ifndef __seznam_h

#define __seznam_h

#include <string.h>
#include <stdlib.h>
#include <conio.h>

#define seps ";\n"

typedef char *pchar;
typedef pchar *ppchar;

typedef struct _item_struct
{
  char *first_name;
  char *last_name;
  char *company_name;
  char *address;
  char *city;
  char *county;
  char *state;
  char *zip;
  _item_struct *next;
} item;

typedef struct
{
  item *first;
} listDescr;

#define POC_SL ((sizeof(item)/sizeof(pchar))-1)

bool listAdd(listDescr *list, char *txt);
void listShow(listDescr *list);
bool listClear(listDescr *list);
char *allocVal(char *src);
bool freeItem(item *x);
item *createItem(char *txt);

#endif
